com.unitech.lib.params

## Class FindReplace

- java.lang.Object
- - com.unitech.lib.params.FindReplace

-     public class FindReplace
      extends Object

  The FindReplace class represents a find and replace operation. It provides methods to set the find and replace bytes and to encode them into a byte array.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FindReplace()` Constructs a new FindReplace object with default find and replace bytes (0x00).
    `FindReplace(byte find, byte replace)` Constructs a new FindReplace object with the specified find and replace bytes.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `encode()` Encodes the find and replace bytes into a byte array.
    `byte` | `getFind()` Gets the find byte.
    `byte` | `getReplace()` Gets the replace byte.
    `void` | `setFind(byte find)` Sets the find byte.
    `void` | `setReplace(byte replace)` Sets the replace byte.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FindReplace

          public FindReplace()

      Constructs a new FindReplace object with default find and replace bytes (0x00).

    - #### FindReplace

          public FindReplace(byte find,
                             byte replace)

      Constructs a new FindReplace object with the specified find and replace bytes.
      Parameters:
        `find` - The byte to find.
        `replace` - The byte to replace the found byte with.

  - ### Method Detail

    - #### getFind

          public byte getFind()

      Gets the find byte.
      Returns:
        The byte to find.

    - #### setFind

          public void setFind(byte find)

      Sets the find byte.
      Parameters:
        `find` - The byte to find.

    - #### getReplace

          public byte getReplace()

      Gets the replace byte.
      Returns:
        The byte to replace the found byte with.

    - #### setReplace

          public void setReplace(byte replace)

      Sets the replace byte.
      Parameters:
        `replace` - The byte to replace the found byte with.

    - #### encode

          public byte[] encode()

      Encodes the find and replace bytes into a byte array.
      Returns:
        A byte array containing the find and replace bytes.